package com.ylx.massage.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 收藏表
 */
@Getter
@Setter
@Accessors(chain = true)
@ApiModel(value = "TCollect" ,description = "收藏")
@TableName(value = "t_collect" ,autoResultMap = true)
public class TCollect implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("c_id")
    @ApiModelProperty("cId")
    private String cId;

    /**
     * 微信用户openid
     */
    @TableField("c_wx_open_id")
    @ApiModelProperty("微信用户openid")
    private String cWxOpenId;

    /**
     * 技师 id
     */
    @TableField("c_js_id")
    @ApiModelProperty("技师 id")
    private String cJsId;

    /**
     * 创建时间
     */
    @TableField("dt_create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime dtCreateTime;

    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;

    /**
     * 技师信息
     */
    @TableField(exist = false)
    @ApiModelProperty("技师信息")
    private TJs js;

    public String getcId() {
        return cId;
    }

    public void setcId(String cId) {
        this.cId = cId;
    }

    public String getcWxOpenId() {
        return cWxOpenId;
    }

    public void setcWxOpenId(String cWxOpenId) {
        this.cWxOpenId = cWxOpenId;
    }

    public TJs getJs() {
        return js;
    }

    public void setJs(TJs js) {
        this.js = js;
    }

    public LocalDateTime getDtCreateTime() {
        return dtCreateTime;
    }

    public void setDtCreateTime(LocalDateTime dtCreateTime) {
        this.dtCreateTime = dtCreateTime;
    }

    public String getcJsId() {
        return cJsId;
    }

    public void setcJsId(String cJsId) {
        this.cJsId = cJsId;
    }
}
